- [HTTP request](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories.pullRequests.pullRequestComments/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories.pullRequests.pullRequestComments/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories.pullRequests.pullRequestComments/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories.pullRequests.pullRequestComments/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories.pullRequests.pullRequestComments/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories.pullRequests.pullRequestComments/patch#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories.pullRequests.pullRequestComments/patch#body.aspect_1)

Updates a pull request comment.

### HTTP request

Choose an endpoint:
asia-east1 asia-northeast1 asia-northeast3 australia-southeast1 europe-west2 europe-west4 me-central2 me-west1 northamerica-northeast1 us-central1 us-east1   
`PATCH https://securesourcemanager.asia-east1.rep.googleapis.com/v1/{pullRequestComment.name=projects/*/locations/*/repositories/*/pullRequests/*/pullRequestComments/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `pullRequestComment.name` | `string` Identifier. Unique identifier for the pull request comment. The comment id is generated by the server. Format: `projects/{project}/locations/{location}/repositories/{repository}/pullRequests/{pullRequest}/pullRequestComments/{comment_id}` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. Field mask is used to specify the fields to be overwritten in the pull request comment resource by the update. Updatable fields are `body`. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories.pullRequests.pullRequestComments#PullRequestComment`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/securesourcemanager.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `securesourcemanager.prcomments.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).